# Class CIM_Cluster
extends CIM_ComputerSystem

A class derived from ComputerSystem that 'is made up of' two or more ComputerSystems which operate together as an atomic, functional whole to increase the performance, resources and/or RAS (Reliability, Availability and Serviceability) of the component ComputerSystems, related to some aspects of these ComputerSystems.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_ManagedSystemElement
|
+--CIM_LogicalElement
|
+--CIM_EnabledLogicalElement
|
+--CIM_System
|
+--CIM_ComputerSystem
|
+--CIM_Cluster

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | A class derived from ComputerSystem that 'is made up of' two or more ComputerSystems which operate together as an atomic, functional whole to increase the performance, resources and/or RAS (Reliability, Availability and Serviceability) of the component ComputerSystems, related to some aspects of these ComputerSystems.
UMLPackagePath | string | CIM::System::SystemElements
Version | string | 2.6.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
ClusterState | uint16 |
Description | string | Indicates the state of the Cluster. The cluster can be defined to be on-line (value=2), off-line (3), in a degraded mode of operation (4) or unavailable (5).
ValueMap | string | 0, 1, 2, 3, 4, 5
Values | string | Unknown, Other, On-line, Off-line, Degraded, Unavailable
Interconnect | string |
Description | string | Interconnect is a free form string that describes the interconnection mechanism for the Cluster.
InterconnectAddress | string |
Description | string | InterconnectAddress indicates the address of the Cluster System, which is dependent on the interconnection scheme. If no address is available or applicable, a null string should be used.
MaxNumberOfNodes | uint32 |
Description | string | Indicates the maximum number of nodes that may participate in the Cluster. If unlimited, enter 0.
Types | uint16[] |
Description | string | The cluster types. This specifies whether the cluster is for failover (value=2), performance (3), etc. The values which can be specified are not mutually exclusive. Thus, Types is an array.
ValueMap | string | 0, 1, 2, 3, 4, 5, 6
Values | string | Unknown, Other, Failover, Performance, Distributed OS, Node Grouping, SysPlex

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
CommunicationStatus | uint16 | CIM_ManagedSystemElement
CreationClassName | string | CIM_System
Description | string | CIM_ManagedElement
DetailedStatus | uint16 | CIM_ManagedSystemElement
ElementName | string | CIM_ManagedElement
EnabledDefault | uint16 | CIM_EnabledLogicalElement
EnabledState | uint16 | CIM_EnabledLogicalElement
HealthState | uint16 | CIM_ManagedSystemElement
InstallDate | datetime | CIM_ManagedSystemElement
InstanceID | string | CIM_ManagedElement
Name | string | CIM_System
NameFormat | string | CIM_ComputerSystem
OperatingStatus | uint16 | CIM_ManagedSystemElement
OtherEnabledState | string | CIM_EnabledLogicalElement
PrimaryOwnerContact | string | CIM_System
PrimaryOwnerName | string | CIM_System
PrimaryStatus | uint16 | CIM_ManagedSystemElement
RequestedState | uint16 | CIM_EnabledLogicalElement
ResetCapability | uint16 | CIM_ComputerSystem
Status | string | CIM_ManagedSystemElement
TimeOfLastStateChange | datetime | CIM_EnabledLogicalElement
TransitioningToState | uint16 | CIM_EnabledLogicalElement
AvailableRequestedStates | uint16[] | CIM_EnabledLogicalElement
Dedicated | uint16[] | CIM_ComputerSystem
IdentifyingDescriptions | string[] | CIM_System
OperationalStatus | uint16[] | CIM_ManagedSystemElement
OtherDedicatedDescriptions | string[] | CIM_ComputerSystem
OtherIdentifyingInfo | string[] | CIM_System
PowerManagementCapabilities | uint16[] | CIM_ComputerSystem
Roles | string[] | CIM_System
StatusDescriptions | string[] | CIM_ManagedSystemElement

## Class Methods

### Inherited Class Methods

Name | Return Type | Class Origin
--- | --- | ---
RequestStateChange | uint32 | CIM_EnabledLogicalElement
SetPowerState | uint32 | CIM_ComputerSystem